org.apache.hadoop.security.proto

## Class RefreshAuthorizationPolicyProtocolProtos.RefreshAuthorizationPolicyProtocolService.Stub

- java.lang.Object
- - org.apache.hadoop.security.proto.RefreshAuthorizationPolicyProtocolProtos.RefreshAuthorizationPolicyProtocolService
  - - org.apache.hadoop.security.proto.RefreshAuthorizationPolicyProtocolProtos.RefreshAuthorizationPolicyProtocolService.Stub

- All Implemented Interfaces:
    com.google.protobuf.Service, RefreshAuthorizationPolicyProtocolProtos.RefreshAuthorizationPolicyProtocolService.Interface
  Enclosing class:
    RefreshAuthorizationPolicyProtocolProtos.RefreshAuthorizationPolicyProtocolService

      public static final class RefreshAuthorizationPolicyProtocolProtos.RefreshAuthorizationPolicyProtocolService.Stub
      extends RefreshAuthorizationPolicyProtocolProtos.RefreshAuthorizationPolicyProtocolService
      implements RefreshAuthorizationPolicyProtocolProtos.RefreshAuthorizationPolicyProtocolService.Interface

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.security.proto.RefreshAuthorizationPolicyProtocolProtos.RefreshAuthorizationPolicyProtocolService

      `RefreshAuthorizationPolicyProtocolProtos.RefreshAuthorizationPolicyProtocolService.BlockingInterface, RefreshAuthorizationPolicyProtocolProtos.RefreshAuthorizationPolicyProtocolService.Interface, RefreshAuthorizationPolicyProtocolProtos.RefreshAuthorizationPolicyProtocolService.Stub`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.protobuf.RpcChannel` | `getChannel()`
    `void` | `refreshServiceAcl(com.google.protobuf.RpcController controller, RefreshAuthorizationPolicyProtocolProtos.RefreshServiceAclRequestProto request, com.google.protobuf.RpcCallback<RefreshAuthorizationPolicyProtocolProtos.RefreshServiceAclResponseProto> done)` `rpc refreshServiceAcl(.hadoop.common.RefreshServiceAclRequestProto) returns (.hadoop.common.RefreshServiceAclResponseProto);`

    - ### Methods inherited from class org.apache.hadoop.security.proto.RefreshAuthorizationPolicyProtocolProtos.RefreshAuthorizationPolicyProtocolService

      `callMethod, getDescriptor, getDescriptorForType, getRequestPrototype, getResponsePrototype, newBlockingStub, newReflectiveBlockingService, newReflectiveService, newStub`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getChannel

          public com.google.protobuf.RpcChannel getChannel()

    - #### refreshServiceAcl

          public void refreshServiceAcl(com.google.protobuf.RpcController controller,
                                        RefreshAuthorizationPolicyProtocolProtos.RefreshServiceAclRequestProto request,
                                        com.google.protobuf.RpcCallback<RefreshAuthorizationPolicyProtocolProtos.RefreshServiceAclResponseProto> done)

      Description copied from class: `RefreshAuthorizationPolicyProtocolProtos.RefreshAuthorizationPolicyProtocolService`
      `rpc refreshServiceAcl(.hadoop.common.RefreshServiceAclRequestProto) returns (.hadoop.common.RefreshServiceAclResponseProto);`

           Refresh the service-level authorization policy in-effect.

      Specified by:
        `refreshServiceAcl` in interface `RefreshAuthorizationPolicyProtocolProtos.RefreshAuthorizationPolicyProtocolService.Interface`
      Specified by:
        `refreshServiceAcl` in class `RefreshAuthorizationPolicyProtocolProtos.RefreshAuthorizationPolicyProtocolService`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.